Subject: Re: [PATCH] gpg-interface: trim only CR characters that precede LF

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Oct 2025 13:50:45 -0700

Okhuomon Ajayi <[email-masked]> writes:

> Hi Junio,
> Haha, I smiled at your “teh” comment — I myself often make teh same typo
> Thanks a lot for catching the typo and for the detailed feedback on
> style and indentation.
> I’ll fix the tab/space mix, shorten the long line, and use your
> suggested comment wording in the next revision

I was hinting that the new function name is less than optimal, which
may not have been conveyed very well X-<.

>> > -static void remove_cr_after(struct strbuf *buffer, size_t offset)
>> > +static void trim_cr_before_lf(struct strbuf *buffer, size_t offset)
>>
>> In other words, this normalizes crlf to lf line ending.